代码改变世界

最新 robot framework安装

2019-02-15 00:16 虫师 阅读(...) 评论(...) 编辑 收藏

相信大家对robot framework并不陌生,它是一个基于Python语言,用于验收测试和验收测试驱动开发(ATDD)的通用测试自动化框架=,提供了一套特定的语法,并且有非常丰富的测试库。


Python

现在可以使用Python3.x了,因为距离Python2.x停止维护也只剩一年时间了。


Robot framework

基于Python的robot framework测试框架,robot framework使用了一套特定语法,学习起来需要一定的门槛。

pip安装:

pip install robotframework


Robot framework-RIDE

这是robot framework标配的IDE,就像PyCharm之于python,不!它对于robot framework来说它更加重要,对于上面的部份robot framework语法,在RIDE中其实可以通过配置完成。这就导致不少测试同学脱离了RIDE根本不会用robot framework。

虽然,robot framework也提供了一些主流编辑器(Eclipse、Sublime、Notepad++等)的插件,但是,这些插件也仅限于语法着色这种简单的功能。

然而,RIDE基于wxPython库开发,这是Python下面的一个GUI库,尴尬的是wxPython在很长的一段时间中都不支持Python3.x,这就导致RIDE无法支持Python3.x。所以,很多robot framework的使用者依然坚持使用Python2.x,只为了可以用RIDE。

但是,在这个2019新年上班的第一天,我突然发现RIDE项目复活了….

https://github.com/robotframework/RIDE/

最新版本1.7.3.1基于wxPython4.0.4,此时的wxPython当然也是支持Python3.x的了。

这对于robot framework的推广和使用无疑是非常有利的。

pip安装:

pip install robotframework-ride

通过执行C:\Python36\Scripts\ride.py文件启动RIDE。

> cd C:\Python36\Scripts
> python ride.py

最新的RIDE页面并没有什么变化,不过logo好像变了!将我以前的robot framework测试用例导入,依然可以很好的运行。

Web Page Counters
Computer Desks